<template>
	<transition :duration="500">
		<section
			v-show="toggleFlyout"
			class="fixed inset-0 z-40 overflow-hidden"
			aria-label="Your cart"
			role="dialog"
			aria-modal="true"
		>
			<div class="absolute inset-0 overflow-hidden">
				<transition
					enter-active-class="transition-opacity duration-500 ease-linear"
					enter-class="opacity-0"
					enter-to-class="opacity-100"
					leave-active-class="transition-opacity duration-500 ease-linear"
					leave-class="opacity-100"
					leave-to-class="opacity-0"
				>
					<div
						v-show="toggleFlyout"
						class="absolute inset-0 transition-opacity bg-black bg-opacity-20"
						aria-hidden="true"
						@click="closeFlyout"
					></div>
				</transition>
				<transition
					enter-active-class="transition duration-500 ease-in-out transform"
					enter-class="translate-x-full"
					enter-to-class="translate-x-0"
					leave-active-class="transition duration-500 ease-in-out transform"
					leave-class="translate-x-0"
					leave-to-class="translate-x-full"
				>
					<div
						v-show="toggleFlyout"
						role="dialog"
						aria-label="Your cart"
						class="absolute inset-y-0 right-0 flex max-w-full overflow-hidden bg-white"
					>
						<slot name="flyoutContent"></slot>
					</div>
				</transition>
			</div>
		</section>
	</transition>
</template>
<script>
export default {
	name: 'MkFlyout',
	props: {
		toggleFlyout: {
			type: Boolean,
			default: false,
		},
	},
	data() {
		return {};
	},
	methods: {
		closeFlyout() {
			this.$store.dispatch('MK_CART_STORE/TOGGLE_SIDE_CART', 'HIDE');
			this.$store.dispatch('CART_STORE/HIDE_MSG', '');
		},
	},
};
</script>
